package myShop;

import java.util.Vector;
import java.util.Date;

public class Ordine {
	public int numero;
	public Date data;
	public String nome, cognome, indirizzo, pagamento, consegna;
	public double speseSpedizione;
	Vector righe;

	public Ordine(int id, Date d, String n, String c, String i, String p, String con, double ss) {
		numero=id;
		data=d;
		nome=n;
		cognome=c;
		indirizzo=i;
		pagamento=p;
		consegna=con;
		speseSpedizione=ss;
		righe=new Vector();
	}

	public void AggiungiRiga(Prodotto p, int qt) {
		ProdottoSelezionato ps=new ProdottoSelezionato(p.id, p.nome, p.descrizione, p.prezzo, qt);
		righe.add(ps);
	}

	public ProdottoSelezionato TrovaRiga(int i) {
		return (ProdottoSelezionato)righe.elementAt(i);
	}

	public int NumeroRighe() {
		return righe.size();
	}
}
